> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/getting-started/getting_started_showing_an_image.md).

# Showing an Image on Displays

Add an Image file to your Media Library and Schedule to play on Displays.

You may have image content created outside of the Layout Editor, e.g. created by an agency, in house marketing team etc, ready to be shown full screen on your Display network.

Image files are first added to the Library by upload or by URL. For this example an Image file will be uploaded to the CMS Media Library.

## How-to Video Showing an Image

{% embed url="<https://youtu.be/YZTiNOGY8JQ>" %}

### Add Media

1. Click on **Media** under the **Library** section of the main CMS menu
2. Click the **Add Media** button
3. Drag and drop, provide a URL or click Add files to select the image file to upload
4. Provide a new **Name** or leave this field blank to keep the original file name
5. Click **Done**

{% hint style="warning" %}
Caution should be taken when uploading very large images. Users should check the **Resolution** of the Image and keep it within the intended screen size for best results.
{% endhint %}

### Select Media

* From the **Media** grid use the filters to make it easier to find the uploaded **Image** file if required
* Use the row menu and select **Schedule**
* Select which **Displays** to show the Image on
* If you want to use the default **Always** schedule, and happy with the default settings and have no further advanced scheduling options to set, you can click **Finish** to complete the schedule
* If you want to select alternative created **Dayparts** or **Custom** dates, select **Next**
* If you don't need to apply any further scheduling options and are happy with the defaults set for **Duration in Loop**, **Resolution** etc, click to **Finish**

{% hint style="success" %}
**Duration in loop** determines how long this Image should be shown each time it appears in a **Schedule Loop**.
{% endhint %}

The CMS will now update a Schedule change and the Image will be shown on Displays for the timings set in the schedule.

## Further Reading

{% content-ref url="/pages/PGDGhvmOXnQCsLtVYM5C" %}
[Show a Playlist](/getting-started/getting_started_showing_a_playlist.md)
{% endcontent-ref %}

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

## FAQs

***What are Schedule Loops?***

A Schedule Loop is how media content will play when in schedules with other media content. For example, if you have scheduled 2 media items each with a 10 second duration to be shown at the same time for 1 hour, both items will play for their 10 second durations in fair rotation for the scheduled time.

***What file extensions are supported on upload?***

Valid file extensions: jpg,jpeg,png,bmp,gif,webp.

***Can I upload an animated gif?***

Animated gif's are not supported.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/getting-started/getting_started_showing_an_image.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
